# HRMS Employee Create-Edit UI Flow

### Case: **Create**

URL- digit-ui/employee/hrms/create

Logged Users can Create Employees by providing the necessary Details

If a user enters a mobile number that already exists in the system - Then the application will give an error message.

The Boundary is auto-filled with current `TenantId`. The user is able to add Multiple Jurisdictions and Assignments.

![](/files/-MgiGgZg8oF8biLBP5TF)

![](/files/-MgiGgZmnW_K0DwuzZZ_)

![](/files/-MgiGgZp2GdJSdkE2rob)

![](/files/-MgiGgZrwe4cV2fPKn91)

| Sl.No. | API                            | Role        | Access ID |
| ------ | ------------------------------ | ----------- | --------- |
| 1      | `/egov-hrms/employees/_create` | HRMS\_ADMIN | 1750      |
| 2      | `/egov-hrms/employees/_search` | HRMS\_ADMIN | `1752`    |

Primary Files: <https://github.com/egovernments/digit-ui-internals/blob/development/packages/modules/hrms/src/pages/createEmployee.js>

### Case: **Edit**

URL- digit-ui/employee/hrms/edit/{Employee Id}

Logged Users can Edit Employee Details. Employee Id is disabled.

| API                            | Role        | Access ID |
| ------------------------------ | ----------- | --------- |
| `/egov-hrms/employees/_update` | HRMS\_ADMIN | `1751`    |

Primary Files: <https://github.com/egovernments/digit-ui-internals/blob/development/packages/modules/hrms/src/pages/EditEmployee/EditForm.js>

<https://github.com/egovernments/digit-ui-internals/blob/development/packages/modules/hrms/src/pages/EditEmployee/index.js>

### MDMS API

```
 moduleDetails: [
    {
      moduleName: "common-masters",
      masterDetails: [
        { name: "Department", filter: "[?(@.active == true)]" },
        { name: "Designation", filter: "[?(@.active == true)]" },
      ],
    },
    {
      moduleName: "tenant",
      masterDetails: [{ name: "tenants" }],
    },
    {
      moduleName: "ACCESSCONTROL-ROLES",
      masterDetails: [{ name: "roles", filter: "$.[?(@.code!='CITIZEN')]" }],
    },
    { moduleName: "egov-location", masterDetails: [{ name: "TenantBoundary" }] },
  ]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digit.org/local-governance/access/local-governance-stack/hrms/hrms-service-configuration/hrms-ui-configuration/hrms-employee-create-edit-ui-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
